Endpoints

Method
Path
Purpose
Last updated
Expected inputs and sample responses for each endpoint can be found here.
All testing should be done on test mode only. Test mode base URL: https://api-staging.pay.gov.sg
Live mode base URL: https://api.pay.gov.sg
The paymentServiceID for your created payment service can be found as highlighted below. Please note that you will need to include the payment_service prefix.

GET
/v1/payment-services/{paymentServiceId}/payments/{paymentId}
Fetches the payment with the given ID.
GET
/v1/payment-services/{paymentServiceId}/payments
Lists the payments for the given payment service.
POST
/v1/payment-services/{paymentServiceId}/payments
Creates a new payment.
POST
/v1/payment-services/{paymentServiceId}/payments/{paymentId}/cancel
Cancels the payment with the given ID. Only unpaid payments can be cancelled.
POST
/v1/payment-services/{paymentServiceId}/payments/{paymentId}/send-email
Emails the payment with the given ID to the payer through their email.
Last updated